Package ghidra.features.bsim.query.protocol

# Class ResponseInsert

java.lang.Object
ghidra.features.bsim.query.protocol.QueryResponseRecord
ghidra.features.bsim.query.protocol.ResponseInsert

public class ResponseInsert extends QueryResponseRecord
A simple response to an InsertRequest to a BSim database. This object provides separate counts of executables successfully inserted and functions successfully inserted.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `numexe`
  `int`
  `numfunc`

  ### Fields inherited from class ghidra.features.bsim.query.protocol.QueryResponseRecord

  `name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseInsert()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mergeResults(QueryResponseRecord subresponse)`
  Combine partial results from subresponse into this global response
  `void`
  `restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class ghidra.features.bsim.query.protocol.QueryResponseRecord

  `getDescriptionManager, getLocalStagingCopy, getName, sort`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### numexe

    public int numexe

  - ### numfunc

    public int numfunc

- ## Constructor Details

  - ### ResponseInsert

    public ResponseInsert()

- ## Method Details

  - ### mergeResults

    public void mergeResults(QueryResponseRecord subresponse)
    Description copied from class: `QueryResponseRecord`
    Combine partial results from subresponse into this global response
    Overrides:
      `mergeResults` in class `QueryResponseRecord`
    Parameters:
      `subresponse` - the partial response to merge into this

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Specified by:
      `saveXml` in class `QueryResponseRecord`
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, LSHVectorFactory vectorFactory) throws LSHException
    Specified by:
      `restoreXml` in class `QueryResponseRecord`
    Throws:
      `LSHException`